[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.FreeInstance

Clean up instance and free the memory reserved for the instance.

## Declaration

Source position: objpash.inc line 196

`public procedure TObject.FreeInstance; virtual;`

## Description

FreeInstance cleans up an instance of the current class, and releases the heap memory occupied by the class instance.

## See also

Destroy |  | TObject destructor.
InitInstance |  | Initialize a new class instance.
NewInstance |  | Allocate memory on the heap for a new instance

Documentation generated on: Feb 26 2014